package com.ruoyi.finance.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;
import java.util.List;

public class TWareHouseFees extends BaseEntity {

    /**
     * 客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name
     */
    @Excel(name = "客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name")
    private Long fCorpid;

    /**
     * 结算客户名称,t_corps 中的no或 name，模糊查找选择后，存储id，显示name
     */
    @Excel(name = "客户名称,t_corps 中的no或 name，模糊查找选择后，存储id，显示name")
    private Long fToCorpid;

    /**
     * 提单号
     */
    @Excel(name = "提单号")
    private String fMblno;

    /**
     * 收、付,D:收 C 付
     */
    @Excel(name = "收、付,D:收 C 付")
    private String fDc;

    /**
     * 费用名称,存储id 显示名称,t_fees 中的no或 name，模糊查找选择后，存储f_id，显示name
     */
    @Excel(name = "费用名称,存储id 显示名称,t_fees 中的no或 name，模糊查找选择后，存储f_id，显示name")
    private Long[] fFeeid;

    /**
     * 入（出）库日期
     */
    @Excel(name = "入", readConverterExp = "出=")
    private Date fBsdate;

    /**
     * 账单日期(审批流结束后更新)
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "账单日期(审批流结束后更新)", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fAccbilldate;

    /**
     * 对账单号
     */
    @Excel(name = "对账单号")
    private String fStatementNo;


    /**
     *  是否对账 0 否 1 是 ; 结算状态 0 未收 1 全部
     */
    @Excel(name = "对账")
    private String fReconciliation;

    /**
     *   费用状态
     */
    @Excel(name = "费用状态")
    private String fBillstatus;

    /**
     * 唛头
     */
    @Excel(name = "唛头")
    private String fMarks;

    /** 明细品名合计 */
    @Excel(name = "明细品名合计")
    private String fProductName;

    /** 业务类型(存汉字的，用来区别 如: 来车提货,出库装箱  区别) */
    @Excel(name = "业务类型(存汉字的，用来区别 如: 来车提货,出库装箱  区别)")
    private Long []  fBusinessType;

    /**
     * 单据类型(数据字典)SJRK（入库） SJCK（实际出库） CKDB（调拨） HQZY（货权转移）
     */
    @Excel(name = "单据类型(数据字典)SJRK", readConverterExp = "入=库")
    private String fBilltype;

    /**
     * 查询时间区间 审核日期
     */
    private List<String> timeExamine;
    //业务类型 1代表凯和
    private Integer fTypeid;
    //系统类型 1 仓储 2 车队 3 凯和
    private String fSystemType;
    //船名
    private String boatName;
    //航次
    private String voyageName;
    //货权方
    private String fName;
    //仓库费用表主键
    private Long[] fSrcidList;
    //仓库主表主键
    private Long[] fSrcpidList;
    /** 起运港 */
    private Long fLoadportid;
    /** 目的港 */
    private Long fDestportid;
    /** 业务员id */
    private Long fSalesmanId;

    /**
     * 检索区间始
     */
    private Date fFromDate;

    /**
     * 检索区间终
     */
    private Date fToDate;

    /**
     *  结算方式
     */
    @TableField(exist = false)
    private Long stlTypeid;

    /**
     *  是否已审核
     */
    @TableField(exist = false)
    private Long isReviewed;

    public void setIsReviewed(Long isReviewed) {
        this.isReviewed = isReviewed;
    }

    public Long getfSalesmanId() {
        return fSalesmanId;
    }

    public void setfSalesmanId(Long fSalesmanId) {
        this.fSalesmanId = fSalesmanId;
    }

    public Long getStlTypeid() {
        return stlTypeid;
    }

    public void setStlTypeid(Long stlTypeid) {
        this.stlTypeid = stlTypeid;
    }

    public Long getfLoadportid() {
        return fLoadportid;
    }

    public void setfLoadportid(Long fLoadportid) {
        this.fLoadportid = fLoadportid;
    }

    public Long getfDestportid() {
        return fDestportid;
    }

    public void setfDestportid(Long fDestportid) {
        this.fDestportid = fDestportid;
    }

    public Long[] getfSrcidList() {
        return fSrcidList;
    }

    public void setfSrcidList(Long[] fSrcidList) {
        this.fSrcidList = fSrcidList;
    }

    public Long[] getfSrcpidList() {
        return fSrcpidList;
    }

    public void setfSrcpidList(Long[] fSrcpidList) {
        this.fSrcpidList = fSrcpidList;
    }

    public String getfName() {
        return fName;
    }

    public void setfName(String fName) {
        this.fName = fName;
    }

    public String getBoatName() {
        return boatName;
    }

    public void setBoatName(String boatName) {
        this.boatName = boatName;
    }

    public String getVoyageName() {
        return voyageName;
    }

    public void setVoyageName(String voyageName) {
        this.voyageName = voyageName;
    }

    public String getfSystemType() {
        return fSystemType;
    }

    public void setfSystemType(String fSystemType) {
        this.fSystemType = fSystemType;
    }

    public Integer getfTypeid() {
        return fTypeid;
    }

    public void setfTypeid(Integer fTypeid) {
        this.fTypeid = fTypeid;
    }

    public List<String> getTimeExamine() {
        return timeExamine;
    }

    public void setTimeExamine(List<String> timeExamine) {
        this.timeExamine = timeExamine;
    }


    /**
     * 查询时间区间 对账日期
     */
    private List<String> timeReconci;

    public List<String> getTimeReconci() {
        return timeReconci;
    }

    public void setTimeReconci(List<String> timeReconci) {
        this.timeReconci = timeReconci;
    }

    /**
     * 查询时间区间 入（出）库日期
     */
    private List<String> timeInterval;
    /**
     * 查询时间区间 入（出）库日期
     */
    private List<String> createTimeList;
    //船id
    private Long fVslid;
    //航次id
    private Long fVoyid;
    //查询类型
    private String billsType;

    public Long getfVslid() {
        return fVslid;
    }

    public void setfVslid(Long fVslid) {
        this.fVslid = fVslid;
    }

    public Long getfVoyid() {
        return fVoyid;
    }


    public void setfVoyid(Long fVoyid) {
        this.fVoyid = fVoyid;
    }

    public String getBillsType() {
        return billsType;
    }

    public void setBillsType(String billsType) {
        this.billsType = billsType;
    }

    public List<String> getCreateTimeList() {
        return createTimeList;
    }

    public void setCreateTimeList(List<String> createTimeList) {
        this.createTimeList = createTimeList;
    }

    public void settimeInterval(List<String> timeInterval) {
        this.timeInterval = timeInterval;
    }
    public List<String> gettimeInterval() {
        return timeInterval;
    }


    public String getfMarks() {
        return fMarks;
    }

    public void setfMarks(String fMarks) {
        this.fMarks = fMarks;
    }

    public String getfBillstatus() {
        return fBillstatus;
    }

    public void setfBillstatus(String fBillstatus) {
        this.fBillstatus = fBillstatus;
    }

    public String getfProductName() {
        return fProductName;
    }

    public void setfProductName(String fProductName) {
        this.fProductName = fProductName;
    }

    public String getfStatementNo() {
        return fStatementNo;
    }

    public void setfStatementNo(String fStatementNo) {
        this.fStatementNo = fStatementNo;
    }

    public Long getfCorpid() {
        return fCorpid;
    }

    public void setfCorpid(Long fCorpid) {
        this.fCorpid = fCorpid;
    }

    public Long getfToCorpid() {
        return fToCorpid;
    }

    public void setfToCorpid(Long fToCorpid) {
        this.fToCorpid = fToCorpid;
    }

    public String getfMblno() {
        return fMblno;
    }

    public void setfMblno(String fMblno) {
        this.fMblno = fMblno;
    }

    public String getfDc() {
        return fDc;
    }

    public void setfDc(String fDc) {
        this.fDc = fDc;
    }

    public Long[] getfFeeid() {
        return fFeeid;
    }

    public void setfFeeid(Long[] fFeeid) {
        this.fFeeid = fFeeid;
    }

    public Date getfBsdate() {
        return fBsdate;
    }

    public void setfBsdate(Date fBsdate) {
        this.fBsdate = fBsdate;
    }

    public Date getfAccbilldate() {
        return fAccbilldate;
    }

    public void setfAccbilldate(Date fAccbilldate) {
        this.fAccbilldate = fAccbilldate;
    }

    public String getfReconciliation() {
        return fReconciliation;
    }

    public void setfReconciliation(String fReconciliation) {
        this.fReconciliation = fReconciliation;
    }

    public Long[] getfBusinessType() {
        return fBusinessType;
    }

    public void setfBusinessType(Long[] fBusinessType) {
        this.fBusinessType = fBusinessType;
    }

    public String getfBilltype() {
        return fBilltype;
    }

    public void setfBilltype(String fBilltype) {
        this.fBilltype = fBilltype;
    }

    public Date getfFromDate() {
        return fFromDate;
    }

    public void setfFromDate(Date fFromDate) {
        this.fFromDate = fFromDate;
    }

    public Date getfToDate() {
        return fToDate;
    }

    public void setfToDate(Date fToDate) {
        this.fToDate = fToDate;
    }
}
